aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 12:20:05 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 12:20:05 +0000
commit76be5bffdd3aa1a96cc85519d6471a16660eb3ce (patch)
treec817012542e5d215e81101ace5a1b884af680db9 /unmaintained
parent5082cf637d3f5daf816e9268df59e7cabd0c7acb (diff)
downloadaports-76be5bffdd3aa1a96cc85519d6471a16660eb3ce.tar.gz
aports-76be5bffdd3aa1a96cc85519d6471a16660eb3ce.tar.bz2
aports-76be5bffdd3aa1a96cc85519d6471a16660eb3ce.tar.xz
testing/shadow: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/shadow/APKBUILD58
-rw-r--r--unmaintained/shadow/login.pamd6
-rw-r--r--unmaintained/shadow/shadow.post-deinstall4
-rw-r--r--unmaintained/shadow/shadow.post-upgrade4
4 files changed, 72 insertions, 0 deletions
diff --git a/unmaintained/shadow/APKBUILD b/unmaintained/shadow/APKBUILD
new file mode 100644
index 0000000000..624d607028
--- /dev/null
+++ b/unmaintained/shadow/APKBUILD
@@ -0,0 +1,58 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=shadow
+pkgver=4.1.4.3
+pkgrel=4
+pkgdesc="PAM-using login and passwd utilities"
+url="http://pkg-shadow.alioth.debian.org/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="linux-pam-dev"
+makedepends="$depends_dev"
+install="$pkgname.post-upgrade $pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+source="http://pkg-shadow.alioth.debian.org/releases/shadow-$pkgver.tar.bz2
+ login.pamd"
+
+_builddir="$srcdir"/shadow-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --without-nscd \
+ --disable-nls \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ # do not install these pam.d files they are broken and outdated
+ rm "$pkgdir"/etc/pam.d/*
+
+ # however, install our own for login
+ cp "$srcdir"/login.pamd "$pkgdir"/etc/pam.d/login
+
+ # /etc/login.defs is not very useful - replace it with a blank file
+ rm "$pkgdir"/etc/login.defs
+ touch "$pkgdir"/etc/login.defs
+}
+
+md5sums="b8608d8294ac88974f27b20f991c0e79 shadow-4.1.4.3.tar.bz2
+72dfc077a61ab7163e312640cc98bba8 login.pamd"
diff --git a/unmaintained/shadow/login.pamd b/unmaintained/shadow/login.pamd
new file mode 100644
index 0000000000..ad45558094
--- /dev/null
+++ b/unmaintained/shadow/login.pamd
@@ -0,0 +1,6 @@
+# /bin/login opens an interactive session.
+
+auth include base-auth
+account include base-account
+password include base-password
+session include base-session
diff --git a/unmaintained/shadow/shadow.post-deinstall b/unmaintained/shadow/shadow.post-deinstall
new file mode 100644
index 0000000000..dd117e5d80
--- /dev/null
+++ b/unmaintained/shadow/shadow.post-deinstall
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+busybox --install -s
+
diff --git a/unmaintained/shadow/shadow.post-upgrade b/unmaintained/shadow/shadow.post-upgrade
new file mode 100644
index 0000000000..dd117e5d80
--- /dev/null
+++ b/unmaintained/shadow/shadow.post-upgrade
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+busybox --install -s
+